# Created by pyp2rpm-3.1.3
%global pypi_name tqdm

Name:           python-%{pypi_name}
Version:        4.8.4
Release:        1%{?dist}
Summary:        A Fast, Extensible Progress Meter

License:        MPLv2.0, MIT Licenses
URL:            https://github.com/tqdm/tqdm
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-coverage
BuildRequires:  python2-devel
BuildRequires:  python-flake8
 
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-flake8

%description
tqdm (read taqadum, تقدّم) means "progress" in arabic. Instantly make your loops
show a smart progress meter just wrap any iterable with tqdm(iterable), and
you're done!

%package -n     python2-%{pypi_name}
Summary:        A Fast, Extensible Progress Meter
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-setuptools
%description -n python2-%{pypi_name}
tqdm (read taqadum, تقدّم) means "progress" in arabic. Instantly make your loops
show a smart progress meter just wrap any iterable with tqdm(iterable), and
you're done!

%package -n     python3-%{pypi_name}
Summary:        A Fast, Extensible Progress Meter
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
tqdm (read taqadum, تقدّم) means "progress" in arabic. Instantly make your loops
show a smart progress meter just wrap any iterable with tqdm(iterable), and
you're done!


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
cp %{buildroot}/%{_bindir}/tqdm %{buildroot}/%{_bindir}/tqdm-3
ln -sf %{_bindir}/tqdm-3 %{buildroot}/%{_bindir}/tqdm-%{python3_version}

%py2_install
cp %{buildroot}/%{_bindir}/tqdm %{buildroot}/%{_bindir}/tqdm-2
ln -sf %{_bindir}/tqdm-2 %{buildroot}/%{_bindir}/tqdm-%{python2_version}


%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%doc README.rst
%{_bindir}/tqdm
%{_bindir}/tqdm-2
%{_bindir}/tqdm-%{python2_version}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/tqdm-3
%{_bindir}/tqdm-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Aug 27 2016 Francesco Frassinelli <fraph24@gmail.com> - 4.8.4-1
- Initial package.
